org.jboss.resteasy.plugins.providers

## Class IIOImageProviderHelper

- java.lang.Object
- - org.jboss.resteasy.plugins.providers.IIOImageProviderHelper

-     public final class IIOImageProviderHelper
      extends Object

  A IIOImageProviderHelper.
  Version:
    $Revision:$
  Author:
    Ryan J. McDonough

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ImageReader` | `getImageReaderByMediaType(MediaType mediaType)` FIXME Comment this
    `static ImageWriter` | `getImageWriterByMediaType(MediaType mediaType)` FIXME Comment this
    `static IIOImage` | `readImage(InputStream in, ImageReader reader, int imageIndex)` FIXME Comment this
    `static void` | `writeImage(Annotation[] annotations, MediaType mediaType, ImageWriter writer, OutputStream out, IIOImage image)` FIXME Comment this

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getImageWriterByMediaType

          public static ImageWriter getImageWriterByMediaType(MediaType mediaType)

      FIXME Comment this
      Parameters:
        `mediaType` -
      Returns:

    - #### readImage

          public static IIOImage readImage(InputStream in,
                           ImageReader reader,
                           int imageIndex)
                                    throws IOException

      FIXME Comment this
      Parameters:
        `in` -
        `mediaType` -
        `imageIndex` -
      Returns:
      Throws:
        `IOException`

    - #### getImageReaderByMediaType

          public static ImageReader getImageReaderByMediaType(MediaType mediaType)

      FIXME Comment this
      Parameters:
        `mediaType` -
      Returns:

    - #### writeImage

          public static void writeImage(Annotation[] annotations,
                        MediaType mediaType,
                        ImageWriter writer,
                        OutputStream out,
                        IIOImage image)
                                 throws IOException

      FIXME Comment this
      Parameters:
        `annotations` -
        `mediaType` -
        `writer` -
        `out` -
        `image` -
      Throws:
        `IOException`

Copyright © 2014. All Rights Reserved.